package com.ihaoin.hooloo.device.data.vo;

import java.io.Serializable;
import java.util.List;


public class Category implements Serializable {

    /**
     * 分类id
     */
    private Integer id;

    /**
     * 分类名称
     */
    private String name;

    /**
     * 商品信息
     */
    private List<Goods> goods;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<Goods> getGoods() {
        return goods;
    }

    public void setGoods(List<Goods> goods) {
        this.goods = goods;
    }

    @Override
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if (((Category) o).getId() == null) {
            return false;
        }
        return this.getId().equals(((Category) o).getId());
    }

    @Override
    public String toString() {
        return this.getId().toString();
    }

    @Override
    public int hashCode() {
        return this.getId();
    }
}
